Ticket #38576

怪物/アイテムデータが3.6.1に更新されていない

Open Date: 2018-09-09 13:28 Last Update: 2018-10-07 05:44

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

NetHack3.6.1から猿(monkey)・類人猿(ape)にバナナを投げることでペット化できるようになりましたが、JNetHack 3.6.1-0.1ではできません。

src/monstj.cでの定義で猿・類人猿のM1フラグにM1_OMNIVORE(雑食)ではなくM1_CARNIVORE(肉食)が立っているのが原因かと思われます。

Ticket History (3/4 Histories)

2018-09-09 13:28 Updated by: dplusplus
  • New Ticket "猿/類人猿をバナナでペット化できない" created
2018-09-11 22:51 Updated by: argrath
  • Owner Update from (None) to argrath
  • Resolution Update from None to Accepted
  • Summary Updated
Comment

確認しました。

monstj.c, objectsj.c が3.6.1に更新されていませんでした。

2018-09-13 17:50 Updated by: argrath
  • Resolution Update from Accepted to Fixed
  • Milestone Update from (None) to 3.6.1-0.2 (closed)
Comment

008c7abで修正しました。

2018-10-07 05:44 Updated by: argrath
  • Ticket Close date is changed to 2018-10-07 05:44
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login